<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.bookmark.BookmarkFragment">

    <LinearLayout
        android:layout_marginTop="4dp"
        android:id="@+id/searchView"
        android:layout_width="match_parent"
        android:layout_height="46dp"
        android:layout_marginHorizontal="15dp"
        android:background="@drawable/bg_eef1f6_26"
        android:orientation="horizontal"
        android:queryHint="Search">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="15dp"
            android:src="@mipmap/search_bookmark"
            tools:ignore="ContentDescription" />

        <EditText
            android:id="@+id/edit_search"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="10dp"
            android:layout_marginVertical="5dp"
            android:layout_weight="1"
            android:background="@null"
            android:hint="search"
            android:singleLine="true"
            android:textColor="@color/black"
            android:textSize="16sp"
            tools:ignore="Autofill,HardcodedText,LabelFor,TextFields" />

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="15dp"
            android:text="Cancel"
            android:textColor="#0571ED"
            android:visibility="gone"
            tools:ignore="HardcodedText" />
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginVertical="10dp"
        android:layout_weight="1"
        tools:ignore="UselessLeaf">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_bookmark" />

        <LinearLayout
            android:id="@+id/ll_empty"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical"
            android:visibility="gone"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/nobookmark"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="16dp"
                android:text="NO Bookmark"
                android:textColor="#828282"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </FrameLayout>

</LinearLayout>